# SDPSessionDescription Class Reference

`#include <sdp.h>`

Inheritance diagram for SDPSessionDescription:

[legend]
Collaboration diagram for SDPSessionDescription:
[legend]

## Public Member Functions

| SDPSessionDescription (time_t sessionId, unsigned version, const OpalTransportAddress &address)
void | PrintOn (ostream &strm) const
PString | Encode () const
bool | Decode (const PString &str, const OpalMediaFormatList &mediaFormats)
void | SetSessionName (const PString &v)
PString | GetSessionName () const
void | SetUserName (const PString &v)
PString | GetUserName () const
const SDPMediaDescriptionArray & | GetMediaDescriptions () const
SDPMediaDescription * | GetMediaDescriptionByType (const OpalMediaType &rtpMediaType) const
SDPMediaDescription * | GetMediaDescriptionByIndex (PINDEX i) const
void | AddMediaDescription (SDPMediaDescription *md)
virtual SDPMediaDescription::Direction | GetDirection (unsigned) const
bool | IsHold () const
const OpalTransportAddress & | GetDefaultConnectAddress () const
void | SetDefaultConnectAddress (const OpalTransportAddress &address)
time_t | GetOwnerSessionId () const
void | SetOwnerSessionId (time_t value)
unsigned | GetOwnerVersion () const
void | SetOwnerVersion (unsigned value)
OpalTransportAddress | GetOwnerAddress () const
void | SetOwnerAddress (OpalTransportAddress addr)
OpalMediaFormatList | GetMediaFormats () const

## Protected Member Functions

void | ParseOwner (const PString &str)

## Protected Attributes

SDPMediaDescriptionArray | mediaDescriptions
PINDEX | protocolVersion
PString | sessionName
PString | ownerUsername
time_t | ownerSessionId
unsigned | ownerVersion
OpalTransportAddress | ownerAddress
OpalTransportAddress | defaultConnectAddress

## Constructor & Destructor Documentation

SDPSessionDescription::SDPSessionDescription | ( | time_t | sessionId,
|  | unsigned | version,
|  | const OpalTransportAddress & | address |
| ) |  |  |

## Member Function Documentation

void SDPSessionDescription::AddMediaDescription | ( | SDPMediaDescription * | md | ) | `[inline]`

bool SDPSessionDescription::Decode | ( | const PString & | str,
|  | const OpalMediaFormatList & | mediaFormats |
| ) |  |  |

PString SDPSessionDescription::Encode | ( |  | ) | const

const OpalTransportAddress& SDPSessionDescription::GetDefaultConnectAddress | ( |  | ) | const`[inline]`

virtual SDPMediaDescription::Direction SDPSessionDescription::GetDirection | ( | unsigned |  | ) | const`[virtual]`

SDPMediaDescription* SDPSessionDescription::GetMediaDescriptionByIndex | ( | PINDEX | i | ) | const

SDPMediaDescription* SDPSessionDescription::GetMediaDescriptionByType | ( | const OpalMediaType & | rtpMediaType | ) | const

const SDPMediaDescriptionArray& SDPSessionDescription::GetMediaDescriptions | ( |  | ) | const`[inline]`

OpalMediaFormatList SDPSessionDescription::GetMediaFormats | ( |  | ) | const

OpalTransportAddress SDPSessionDescription::GetOwnerAddress | ( |  | ) | const`[inline]`

time_t SDPSessionDescription::GetOwnerSessionId | ( |  | ) | const`[inline]`

unsigned SDPSessionDescription::GetOwnerVersion | ( |  | ) | const`[inline]`

PString SDPSessionDescription::GetSessionName | ( |  | ) | const`[inline]`

PString SDPSessionDescription::GetUserName | ( |  | ) | const`[inline]`

bool SDPSessionDescription::IsHold | ( |  | ) | const

void SDPSessionDescription::ParseOwner | ( | const PString & | str | ) | `[protected]`

void SDPSessionDescription::PrintOn | ( | ostream & | strm | ) | const

void SDPSessionDescription::SetDefaultConnectAddress | ( | const OpalTransportAddress & | address | ) |

void SDPSessionDescription::SetOwnerAddress | ( | OpalTransportAddress | addr | ) | `[inline]`

void SDPSessionDescription::SetOwnerSessionId | ( | time_t | value | ) | `[inline]`

void SDPSessionDescription::SetOwnerVersion | ( | unsigned | value | ) | `[inline]`

void SDPSessionDescription::SetSessionName | ( | const PString & | v | ) |

void SDPSessionDescription::SetUserName | ( | const PString & | v | ) |

## Field Documentation

OpalTransportAddress SDPSessionDescription::defaultConnectAddress `[protected]`

SDPMediaDescriptionArray SDPSessionDescription::mediaDescriptions `[protected]`

OpalTransportAddress SDPSessionDescription::ownerAddress `[protected]`

time_t SDPSessionDescription::ownerSessionId `[protected]`

PString SDPSessionDescription::ownerUsername `[protected]`

unsigned SDPSessionDescription::ownerVersion `[protected]`

PINDEX SDPSessionDescription::protocolVersion `[protected]`

PString SDPSessionDescription::sessionName `[protected]`

The documentation for this class was generated from the following file:

- sdp.h